//
//  Call.h
//  CallChecker
//
//  Created by Steffen Kamp on Mon Oct 21 2002.
//  <mailto:steffen@earthlingsoft.net> 
//  Copyright (c) 2002 earthlingsoft. All rights reserved.
//

/*
 This file is part of CallChecker.

 CallChecker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 CallChecker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with CallChecker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  US
*/
 
#import <Foundation/Foundation.h>


@interface Call : NSObject {
    NSString *_msn;
    NSString *_callerID;
    NSCalendarDate *_date;
    NSCalendarDate *_timestamp;
}

+ (id)callFromString:(NSString *)msg;
- (id)initFromString:(NSString *)msg;

- (NSString *)msn;
- (NSString *)callerID;
- (NSString *)callerName;
- (NSCalendarDate *)date; // Router date
- (NSCalendarDate *)timestamp; // Local system date

@end
